Delete an activity
DELETE /api/courses/{courseId}/modules/{moduleId}/activities/{activityId}. Delete an activity. Headless LMS Content API reference.
Requires courses:write. Returns the course's modules.
Path Parameters
courseId*string
moduleId*string
activityId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/courses/string/modules/string/activities/string"[ { "orgId": "string", "id": "string", "courseId": "string", "title": "string", "seq": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }]{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}